+ Reply to Thread
Results 1 to 8 of 8

Thread: the script support PHP Version 8.0.2 or not ?

  1. #1

    the script support PHP Version 8.0.2 or not ?

    The script support PHP Version 8.0.2 or not ?
    When I installed the script, I found that there were only PHP7 and PHP8.2 options, but my server uses PHP8.0.0. After this installation, I encountered many errors. I'm thinking of trying to reinstall the script. Because these problems are many. And it happens very often.

  2. #2
    Senior Member
    Join Date
    Mar 2016
    Posts
    181
    Use PHP version 7.4. This update should be applied not to your server but to the specific domain where your script is installed.

  3. #3
    Flynax developer Rudi's Avatar
    Join Date
    Dec 2014
    Location
    Planet Earth
    Posts
    3,223
    Quote Originally Posted by Wanchai Wisadchat View Post
    The script support PHP Version 8.0.2 or not ?
    When I installed the script, I found that there were only PHP7 and PHP8.2 options, but my server uses PHP8.0.0. After this installation, I encountered many errors. I'm thinking of trying to reinstall the script. Because these problems are many. And it happens very often.
    Hello,

    You can create a ticket and we'll try to solve all the issues with php 8

  4. #4
    Senior Member
    Join Date
    Mar 2016
    Posts
    181
    Hi Rudi,

    Am I able to switch to version 8.x now?

  5. #5
    Flynax developer Rudi's Avatar
    Join Date
    Dec 2014
    Location
    Planet Earth
    Posts
    3,223
    Hello,

    You can try and check. If there are some errors make sure that all your plugins are up to date,

    otherwise, create a ticket and we'll help you out

  6. #6
    Senior Member
    Join Date
    Mar 2016
    Posts
    181
    Hello Rudi,

    all plugins are up to date, but a server error has occurred.

  7. #7
    For me does not work with 8.2 only 8,1 and in this case if i use cross listing, when i edit a listing in admin section and save it, i get 500 error. For this cause i have to give up cross listing . ( if i switch back to 7.4 this issue will not occur so clearly a bug
    Last edited by Ionut Barabasa; November 1, 2023 at 01:03 AM.

  8. #8
    Flynax developer Rudi's Avatar
    Join Date
    Dec 2014
    Location
    Planet Earth
    Posts
    3,223
    Quote Originally Posted by Ionut Barabasa View Post
    For does not work with 8.2 only 8,1 and in this case if i use cross listing, when i edit a listing in admin section and save it, i get 500 error. For this cause i have to give up cross listing . ( if i switch back to 7.4 this issue will not occur so clearly a bug
    Hello,

    To fix this error, use this solution:

    go to public_html/admin/controllers/listings.inc.php

    find a line:

    PHP Code:
    Only registered members can view the code
    and replace it with:
    PHP Code:
    Only registered members can view the code
    then go to includes/classes/EditListing.php

    find a line:
    PHP Code:
    Only registered members can view the code
    and replace with (in both cases):
    PHP Code:
    Only registered members can view the code

+ Reply to Thread